package cz.cuni.jagrlib;

/**
 * Type of Rank-operation (for {@link Rank} classes).
 *
 * @version 0.25 $Rev: 392 $ $Date: 2007-01-21 17:37:56 +0100 (ne, 21 I 2007) $ $Author: pepca $
 * @since   0.25
 * @see     <a href="../../../../../cz/cuni/jagrlib/RankType.java">RankType.java</a>
 * @see     Rank
 * @see     RankHistogram
 */
public enum RankType
{
  /** Erosion. */
  MIN,
  /** Dilation. */
  MAX,
  /** Median filter. */
  MEDIAN,
  /** Middle filter ({@code (min+max)/2}). */
  MIDDLE,
}
