package cz.cuni.jagrlib;

/**
 * Window shapes for window-based image filters.
 *
 * @version 0.25 $Rev: 392 $ $Date: 2007-01-21 17:37:56 +0100 (ne, 21 I 2007) $ $Author: pepca $
 * @since   0.25
 * @see     <a href="../../../../../cz/cuni/jagrlib/WindowShape.java">WindowShape.java</a>
 */
public enum WindowShape
{
  /** Rectangular window. */
  RECT,
  /** Round window. */
  ROUND,
  /** Cross-shaped window. */
  CROSS,
}
