package cz.cuni.jagrlib.gui;

/**
 * Interface for Undo/Redo.
 * @author Jan Kostlivy
 * @version 0.24 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/gui/Undo.java">Undo.java</a>
 */
public interface Undo
{
  /**
   * Undo last action.
   * @param action do this action.
   */
  public void undo ( ActionsUndoReg action );

  /**
   * Redo last undoed action.
   * @param action do this action.
   */
  public void redo ( ActionsUndoReg action );

}
