package cz.cuni.jagrlib.iface;

/**
 * General interface for light tracing methods (photon tracing, light tracing, ..).
 *
 * @author Tomas Svab
 * @version 0.26 $Rev: 778 $ $Date: 2008-06-03 18:46:50 +0200 (út, 03 VI 2008) $ $Author: Tomas $
 * @since   0.26
 */
public interface LightTracing
{
  /** Illuminate scene (transfer light from the light sources to the scene). */
  void illuminateScene ();

}