package cz.cuni.jagrlib.iface;

/**
 * Object able to receive progress-state information.
 *
 * @version 0.26 $Rev: 466 $ $Date: 2007-05-26 07:12:19 +0200 (so, 26 V 2007) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/ProgressListener.java">ProgressListener.java</a>
 */
public interface ProgressListener
{
  /** Sets progress state ({@code 0 &lt;= state &lt;= total}). */
  void progress ( long state, long total );

  /** Repaint progress indicator (if applicable). */
  void repaint ();
}
