package cz.cuni.jagrlib.reg;

import java.util.*;
import java.awt.*;

import cz.cuni.jagrlib.gui.*;

/**
 * Information about channel GUI.
 *
 * @author  Jan Kostlivy
 * @version 0.25 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/reg/InfoChannelGUI.java">InfoChannelGUI.java</a>
 */
public class InfoChannelGUI
{
  //==========================================================================
  //  Data:

  /**
   * Class that care about visual representation of channel.
   *
   * @see ChannelGUI
   * @see ChannelGUIImproved
   */
  public ChannelGUI gui;

  /** This is space for all other information. */
  public Map<String,Object> nextInfo;

  /** Color of normal channel. */
  public static Color colorNormal = Color.black;

  /** Color of channel of selected module. */
  public static Color colorActiveModule = Color.green.darker();

  /** Color of temporary channel, while mouse draging. */
  public static Color colorTemp = Color.pink;

}
