package cz.cuni.jagrlib.reg;

import java.util.*;

import cz.cuni.jagrlib.gui.*;

/**
 * Information about gui of composition.
 *
 * @author  Jan Kostlivy
 * @version 0.25 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/reg/InfoCompositionGUI.java">InfoCompositionGUI.java</a>
 */

public class InfoCompositionGUI
{
  //==========================================================================
  //  Data:

  /** Show modules or not. */
  public boolean modulesShow = false;

  /** Height of group in composition mode. */
  public int height;

  /** Width of group in composition mode. */
  public int width;

  /**
   * Class that care about visual representation of composition.
   *
   * @see CompositionGUI
   * @see CompositionGUIBasic
   */
  public CompositionGUI gui;

  /** This is space for all other information. */
  public Map<String,Object> nextInfo;

}
