package cz.cuni.jagrlib;

/**
 * Attempt to connect two incompatible {@link Plug}s.
 *
 * @version 0.25 $Rev: 385 $ $Date: 2007-01-07 01:47:21 +0100 (ne, 07 I 2007) $ $Author: pepca $
 * @since   0.01
 * @see     JaGrLibException
 * @see     <a href="../../../../cz/cuni/jagrlib/BadInterfaceException.java">BadInterfaceException.java</a>
 */
public class BadInterfaceException extends Exception
{
  private static final long serialVersionUID = 1L;

  /**
   * Constructs an BadInterfaceException with no detail message.
   */
  public BadInterfaceException ()
  {
    super();
  }

  /**
   * Constructs an BadInterfaceException with the specified
   * detail message.  A detail message is a String that describes
   * this particular exception.
   *
   * @param msg The detail message.
   */
  public BadInterfaceException ( String msg )
  {
    super( msg );
  }
}
