package cz.cuni.jagrlib;

/**
 * [ int, T ] tuple for {@link IntMap} iteration.
 *
 * @version 0.24 $Rev: 223 $ $Date: 2006-05-01 23:50:42 +0200 (po, 01 V 2006) $ $Author: pepca $
 * @since   0.24
 * @see     <a href="../../../../../cz/cuni/jagrlib/IntTuple.java">IntTuple.java</a>
 */
public class IntTuple< T >
{
  //==========================================================================
  //  Data:

  /** Key value (or {@link IntMap#NULL_KEY} for invalid tuple. */
  public int key;

  /** Value associated with the key. */
  public T value;

}
