package cz.cuni.jagrlib;

/**
 * This exception is thrown when some function/property is not implemented (yet).
 *
 * @version 0.25 $Rev: 385 $ $Date: 2007-01-07 01:47:21 +0100 (ne, 07 I 2007) $ $Author: pepca $
 * @since   0.11
 * @see     JaGrLibException
 * @see     <a href="../../../../cz/cuni/jagrlib/NotImplementedException.java">NotImplementedException.java</a>
 */
public class NotImplementedException extends Throwable
{
  private static final long serialVersionUID = 1L;

  /**
   * Constructs an NotImplementedException with no detail message.
   */
  public NotImplementedException ()
  {
    super();
  }

  /**
   * Constructs an NotImplementedException with the specified
   * detail message.  A detail message is a String that describes
   * this particular exception.
   *
   * @param  msg The detail message.
   */
  public NotImplementedException ( String msg )
  {
    super( msg );
  }
}
