package cz.cuni.jagrlib.gui;

/**
 * <p>Class for generating unique key.
 * It generate unique integer key for modules and channels.</p>
 *   @author Jan Kostlivy
 *   @version 0.23 (2003/08/02)
 *   @see     <a href="../../../../../cz/cuni/jagrlib/gui/UniqueId.java">UniqueId.java</a>
 */

public class UniqueId {

  //==========================================================================
  //  Data:

  /** Counter.   */
  private int id = 0;

  //==========================================================================
  //  Methods:

  /** Generate next key.
   *   @return Key.  */
  public int getNextId() {
    id++;
    return id;
  }
  /** Set counter on "i" value.
   *   @param i new value of counter.  */
  public void setLastId(int i) {
    id = i;
  }
  /** Reset of counter.   */
  public void reset() {
    id = 0;
  }
  /**  Default constructor.  */
  public UniqueId() {
  }
}