package cz.cuni.jagrlib.iface;

/**
 * Rendering interface for 2D polygons and polylines.
 *
 * @version 0.25 $Rev: 331 $ $Date: 2006-10-27 11:46:15 +0200 (pá, 27 X 2006) $ $Author: pepca $
 * @since   0.01
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/PolygonRender.java">PolygonRender.java</a>
 */
public interface PolygonRender extends Render
{
  /** Polygon inside property (int). */
  String POLY_INSIDE = "PolyInside";

  /** Odd-even rule for polygon inside test. */
  int POLY_INSIDE_PARITY = 0;

  /** Non-zero winding rule for polygon inside test. */
  int POLY_INSIDE_WINDING = 1;

}
