package cz.cuni.jagrlib.iface;

import cz.cuni.jagrlib.Breakable;

/**
 * Simple control interface: triggers some action (operation).
 *
 * @version 0.26 $Rev: 453 $ $Date: 2007-05-14 21:50:00 +0200 (po, 14 V 2007) $ $Author: pepca $
 * @since   0.04
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/Trigger.java">Trigger.java</a>
 */
public interface Trigger extends Property, Breakable
{
  /**
   * Triggers the (undetermined) action.
   *
   * @param  type The action type (whatever it means..).
   * @return {@code true} if the action was successful.
   */
  boolean fire ( int type );

}
