package cz.cuni.jagrlib.reg;

import java.util.*;
import java.awt.*;

/**
 * Information about gui of group.
 *
 * @author  Jan Kostlivy
 * @version 0.25 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/reg/InfoGroupGUI.java">InfoGroupGUI.java</a>
 */
public class InfoGroupGUI extends InfoModuleGUI
{
  //==========================================================================
  //  Data:

  /** Color of background of title. */
  public static Color colorName = SystemColor.activeCaption.brighter();

  //==========================================================================
  //  Methods:

  /**
   * Creates a new object of the same class as this object.
   * Except GUI.
   *
   * @return a clone of this instance.
   */
  @SuppressWarnings("unchecked")
  public Object clone ()
  {
    InfoGroupGUI img  = new InfoGroupGUI();
    img.modeShow      = modeShow;
    img.height        = height;
    img.width         = width;
    img.x             = x;
    img.y             = y;

    img.editable      = editable;
    img.minimizable   = minimizable;
    img.maximizable   = maximizable;
    img.selected      = selected;
    img.defaultHeight = defaultHeight;
    img.defaultWidth  = defaultWidth;
    if ( nextInfo != null )
      img.nextInfo = (Map<String,Object>)(((HashMap<String,Object>)nextInfo).clone());

    return img;
  }

}
