package cz.cuni.jagrlib.reg;

/**
 * State flags for plugs compositions, etc..
 *
 * @version 0.25 $Rev: 381 $ $Date: 2007-01-02 15:51:44 +0100 (út, 02 I 2007) $ $Author: pepca $
 * @since   0.23
 * @see     <a href="../../../../../cz/cuni/jagrlib/reg/InfoPlug.java">InfoPlug.java</a>
 */
public interface InfoState
{
  /** Everything is OK. */
  int OK                = 0;

  /** Some non-mandatory plugs are not connected. */
  int NOTCONNECTED_SOFT = 1;

  /** At least one mandatory plug is not connected - hard error. */
  int NOTCONNECTED_HARD = 2;

  /** Error mask (bits which indicate error state). */
  int ERROR_MASK        = NOTCONNECTED_HARD;
}
